Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTHashInt< T > Class Template Reference

`#include <deHash.hpp>`

Inheritance diagram for deTHashInt< T >:

[legend]
Collaboration diagram for deTHashInt< T >:

[legend]
List of all members.

## Public Member Functions
| deTHashInt (DWORD size)
| ~deTHashInt ()
DWORD | Length ()
T * | AddElement (const T &element, DWORD Int)
T * | FindElement (DWORD Int, DWORD *Index=(0)) const
deBoolean | RemoveElement (DWORD Int)
void | GetAllElements (deTArray< T * > &array)
void | RemoveAllElements ()
void | operator= (const deTHashInt< T > &ref)
T * | operator[] (DWORD Int) const
iterator | find (DWORD key)
iterator | erase (iterator &entry)
iterator | begin ()
iterator | end ()
## Private Member Functions
T * | FindElement (DWORD Int, HashNode *&Node, DWORD *Index=(0)) const
DWORD | HashInt (DWORD Int) const
## Private Attributes
DWORD | m_ElementNum
const DWORD | m_HashSize
deTArray< HashNode * > | m_Elements
## Friends
class | deTHashInt< T >::iterator

### template<class T>
class deTHashInt< T >

## Constructor & Destructor Documentation

template<class T>
deTHashInt< T >::deTHashInt | ( | DWORD | size | ) | `[inline]`

template<class T>
deTHashInt< T >::~deTHashInt | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
T* deTHashInt< T >::AddElement | ( | const T & | element,
|  | DWORD | Int
| ) | `[inline]`

template<class T>
iterator deTHashInt< T >::begin | ( |  | ) | `[inline]`

template<class T>
iterator deTHashInt< T >::end | ( |  | ) | `[inline]`

template<class T>
iterator deTHashInt< T >::erase | ( | iterator & | entry | ) | `[inline]`

template<class T>
iterator deTHashInt< T >::find | ( | DWORD | key | ) | `[inline]`

template<class T>
T* deTHashInt< T >::FindElement | ( | DWORD | Int,
|  | HashNode *& | Node,
|  | DWORD * | Index = (0)
| ) | const`[inline, private]`

template<class T>
T* deTHashInt< T >::FindElement | ( | DWORD | Int,
|  | DWORD * | Index = (0)
| ) | const`[inline]`

template<class T>
void deTHashInt< T >::GetAllElements | ( | deTArray< T * > & | array | ) | `[inline]`

template<class T>
DWORD deTHashInt< T >::HashInt | ( | DWORD | Int | ) | const`[inline, private]`

template<class T>
DWORD deTHashInt< T >::Length | ( |  | ) | `[inline]`

template<class T>
void deTHashInt< T >::operator= | ( | const deTHashInt< T > & | ref | ) | `[inline]`

template<class T>
T* deTHashInt< T >::operator[] | ( | DWORD | Int | ) | const`[inline]`

template<class T>
void deTHashInt< T >::RemoveAllElements | ( |  | ) | `[inline]`

template<class T>
deBoolean deTHashInt< T >::RemoveElement | ( | DWORD | Int | ) | `[inline]`

## Friends And Related Function Documentation

template<class T>
friend class deTHashInt< T >::iterator`[friend]`

## Member Data Documentation

template<class T>
DWORD deTHashInt< T >::m_ElementNum`[private]`

template<class T>
deTArray<HashNode*> deTHashInt< T >::m_Elements`[private]`

template<class T>
const DWORD deTHashInt< T >::m_HashSize`[private]`

The documentation for this class was generated from the following file:

- deHash.hpp